<?php
/**
 * Defines constants for autocompletion in IDEs. This file is not meant to be actively used anywhere!
 *
 * @author	Matthias Schmidt
 * @copyright	2001-2019 WoltLab GmbH
 * @license	WoltLab License <http://www.woltlab.com/license-agreement.html>
 * @package	WoltLabSuite\Forum
 */

// automatically defined constants
define('WBB_DIR', '');
define('RELATIVE_WBB_DIR', '');

// option constants
define('WBB_MODULE_THREAD_MARKING_AS_DONE', 1);
define('WBB_INDEX_ENABLE_STATS', 1);
define('WBB_BOARD_LIST_DEPTH', 2);
define('WBB_BOARD_LIST_ENABLE_LAST_POST', 1);
define('WBB_BOARD_LIST_ENABLE_STATS', 1);
define('WBB_BOARD_LIST_ENABLE_SUB_BOARDS', 1);
define('WBB_BOARD_LIST_ENABLE_ONLINE_LIST', 1);
define('WBB_BOARD_ENABLE_STATS', 1);
define('WBB_BOARD_ENABLE_MODERATORS', 1);
define('WBB_BOARD_THREADS_PER_PAGE', 20);
define('WBB_BOARD_DEFAULT_DAYS_PRUNE', '1000');
define('WBB_BOARD_DEFAULT_SORT_FIELD', 'lastPostTime');
define('WBB_BOARD_DEFAULT_SORT_ORDER', 'DESC');
define('WBB_BOARD_ENABLE_DELETED_THREAD_NOTE', 1);
define('WBB_BOARD_THREADS_ENABLE_LANGUAGE_FLAG', 1);
define('WBB_THREAD_ENABLE_TAGS', 1);
define('WBB_THREAD_ENABLE_SIMILAR_THREADS', 1);
define('WBB_THREAD_SIMILAR_THREADS_COUNT', 6);
define('WBB_THREAD_SIMILAR_THREADS_SEARCH_PERIOD', 365);
define('WBB_THREAD_EMPTY_RECYCLE_BIN_CYCLE', 30);
define('WBB_THREAD_DELETE_LINK_CYCLE', 30);
define('WBB_THREAD_MARKING_AS_DONE_CYCLE', 7);
define('WBB_THREAD_POSTS_PER_PAGE', 20);
define('WBB_THREAD_DEFAULT_POST_SORT_ORDER', 'ASC');
define('WBB_THREAD_ENABLE_DELETED_POST_NOTE', 1);
define('WBB_THREAD_MIN_CHAR_LENGTH', 0);
define('WBB_THREAD_MIN_WORD_COUNT', 0);
define('WBB_POST_MIN_CHAR_LENGTH', 0);
define('WBB_POST_MIN_WORD_COUNT', 0);
define('WBB_REPLY_OLD_THREAD_WARNING', 365);
define('WBB_THREAD_SHOW_SIMILAR_THREADS_WHEN_CREATING_NEW_THREAD', 1);
define('WBB_POST_NOTIFICATION_MAIL_INCLUDE_MESSAGE', 1);
define('WBB_POST_EDIT_HIDE_EDIT_NOTE_PERIOD', 5);
define('WBB_INSTALL_DATE', 0);
define('WBB_MESSAGE_SIDEBAR_ENABLE_USER_POSTS', 1);
define('WBB_SEARCH_FIND_THREADS', 0);
define('WBB_THREAD_MAX_FORMATTED_EXCERPT_LENGTH', 1000);
define('WBB_ARTICLE_THREAD_SINGLE_BOARD', 1);
define('WBB_ARTICLE_THREAD_BOARD_ID', '');
define('WBB_ARTICLE_THREAD_CATEGORIES', '');
define('WBB_THREAD_GUEST_MAX_POSTS', 0);
define('WBB_THREAD_ENABLE_MODERATION_NOTIFICATION', 1);
define('WBB_THREAD_MODERATION_NOTIFICATION_SHOW_MODERATOR', 1);
define('WBB_THREAD_ENABLE_MODERATION_THREAD_LOG', 1);
define('WBB_BOARD_USERS_ONLINE_FILTER', 1);
define('WBB_THREAD_USERS_ONLINE_FILTER', 1);
define('WBB_AUTOMATED_MERGE_PERIOD', 60);
define('WBB_OFFICIAL_POST_DEFAULT', 1);
